Bug 1767635 - [RFE] Enable Organization and Location to be entered not just selected
Summary: [RFE] Enable Organization and Location to be entered not just selected
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Organizations and Locations
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 6.8.0
Assignee: Leos Stejskal
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-31 21:06 UTC by Stephen Wadeley
Modified: 2020-06-05 19:16 UTC (History)
2 users (show)

Fixed In Version: foreman-2.1.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Org Selection menu (23.28 KB, image/png)
2020-01-10 14:52 UTC, Stephen Wadeley
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28900 Normal Closed Enable Organization and Location to be entered not just selected 2020-08-11 16:02:43 UTC

Description Stephen Wadeley 2019-10-31 21:06:32 UTC
Description of problem:

When a Satellite has many organizations and locations it can be time consuming to search and select the one you want from the context menu.

I would like to be able to enter a name in a search field, and for auto-complete to be supported so that I can search by typing in the first part of the name.


Version-Release number of selected component (if applicable):

Sat6.6



Additional info:

Being able to select by entering the Org and Loc by ID would also be helpful.

Comment 2 Marek Hulan 2020-01-10 14:22:44 UTC
Stephen, are our selectors capable of searching when you type? It may be missing in some forms, can you please be a bit more specific, where you'd like to see this?

Comment 3 Stephen Wadeley 2020-01-10 14:52:04 UTC
Created attachment 1651326 [details]
Org Selection menu

Hello Marek

See attached screen capture. You will see these three lines in the drop down:

Organization  <-- Just a title
Any Organization   
Manage Organizations

You can select those but not enter a string to search on.
Perhaps UI team has some ideas, but just having a search box as the third option would work.

If its easier, you could also add something on the Manage Organizations page to become that org.

Thank you

Comment 4 Marek Hulan 2020-01-17 07:28:48 UTC
Oh, I didn't realize you talk about the main org switcher. Ok, I agree that would be nice. Of course the same for location.

Comment 5 Leos Stejskal 2020-01-30 13:53:49 UTC
Created redmine issue https://projects.theforeman.org/issues/28900 from this bug

Comment 6 Bryan Kearney 2020-02-18 11:02:32 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28900 has been resolved.


Note You need to log in before you can comment on or make changes to this bug.